osx 10.9.5 and java 8.31

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

osx 10.9.5 and java 8.31

enea
Hi,i'm sorry for my bad english.

I have a Imac with osx 19.9.9 and java 8.31.

When i open Terminal and write

~/Desktop/nand2tetris/tools/HardwareSimulator.sh

i have this reply:
No Java runtime present, requesting install.

and it's open a toolbox that ask me to install at least JAVA SE 6 - BUT I HAVE 8.31!!

Someone can help me?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: osx 10.9.5 and java 8.31

ybakos
It sounds like Java may not be on your path. From the console, what is the output of:

which java

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: osx 10.9.5 and java 8.31

enea

this is the output

iMac-di-Enea:~ Enea$ which java
/usr/bin/java
iMac-di-Enea:~ Enea$
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: osx 10.9.5 and java 8.31

ybakos
And what about:

java -version
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: osx 10.9.5 and java 8.31

ybakos
This is a rather complicated issue due to the way Java is now handled on OSX. You might also want to see this thread.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: osx 10.9.5 and java 8.31

enea
java -version
No Java runtime present, requesting install.
iMac-di-Enea:~ Enea$
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: osx 10.9.5 and java 8.31

enea
I resolved the problem.
The software
 
HardwareSimulator.sh

need java 6 on imac 10.9.5 so i disabled java 8 and re enabled java 6.

You can find hare the instruction:

http://support.apple.com/en-us/HT202643

and install java 6

Now it work
Loading...